Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.com
Class COMFinalizer

    java.lang.Object
      |
      +--weblogic.com.COMFinalizer

public class COMFinalizer
extends java.lang.Object
implements T3ShutdownDef

The COMFinalizer object releases all COM objects that have been register with the COMFinalizer using the `register` method.

Author:
  Copyright (c) 1996-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`COMFinalizer()` Constructs an empty COMFinalizer object.

Method Summary
`void` | `register(java.lang.Object o)` Registers a COM object with the COMFinalizer.
`void` | `registerInit(ParamSet ps)` For internal use only.
`void` | `setServices(T3ServicesDef t3sd)` For internal use only.
`java.lang.String` | `shutdown(java.lang.String name, java.util.Hashtable ht)` Releases all COM objects registered with the COMFinalizer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### COMFinalizer

    public COMFinalizer()

  Constructs an empty COMFinalizer object.

Method Detail

### registerInit

    public void registerInit(ParamSet ps)

  For internal use only.

### setServices

    public void setServices(T3ServicesDef t3sd)

  For internal use only.
  Specified by:
    setServices in interface T3ShutdownDef

### shutdown

    public java.lang.String shutdown(java.lang.String name,
                                     java.util.Hashtable ht)

  Releases all COM objects registered with the COMFinalizer.
  Specified by:
    shutdown in interface T3ShutdownDef

### register

    public void register(java.lang.Object o)

  Registers a COM object with the COMFinalizer.

  Parameters:
    `o` - The COM object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD